libforms (1.2.4-2) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Marcos Talau <talau@debian.org>  Mon, 05 Jan 2026 19:51:39 -0300

libforms (1.2.4-1) experimental; urgency=medium

  * QA upload.
    Closes: #1101563

  [ Andreas Tille ]
  * New upstream version
    Closes: #968164
  * Set Vcs-Fields (routine-update)
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove field Section on binary packages libforms2t64, libformsgl2t64 that
    duplicates source.
  * Secure URI for Homepage
  * Add watch file
  * d/copyright: DEP5
  * Build-Depends: s/libgl1-mesa-dev/libgl-dev/
  * d/control descriptions:
    - Remove articles from synopsis
    - Longer description for doc package
  * Remove unused lintian-overrides
  * Fix Homepage
    Closes: #968165
  * Propagate hardening options

  [ Helmut Grohne ]
  * Mark libforms-bin Multi-Arch: foreign. (Closes: #948557)

  [ Vagrant Cascadian ]
  * Remove generated example Makefile from reproducible build
    Closes: #974960

 -- Andreas Tille <tille@debian.org>  Wed, 21 May 2025 22:07:06 +0200

libforms (1.2.3-1.7) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062297

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 12:04:26 +0000

libforms (1.2.3-1.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Really fix FTBFS with GCC 10 (Closes: #957439)
    Thanks to Adrian Bunk for the ping.

 -- Paul Wise <pabs@debian.org>  Fri, 16 Oct 2020 11:26:00 +0800

libforms (1.2.3-1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 10 (Closes: #957439)

 -- Paul Wise <pabs@debian.org>  Fri, 16 Oct 2020 10:46:16 +0800

libforms (1.2.3-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch from texlive-generic-recommended to texlive-plain-generic
    (Closes: #941535)

 -- Paul Wise <pabs@debian.org>  Mon, 11 Nov 2019 10:33:39 +0800

libforms (1.2.3-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to the dh sequencer (Closes: #822042, #805947)

 -- Paul Wise <pabs@debian.org>  Wed, 24 Aug 2016 13:31:03 +0800

libforms (1.2.3-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update the build system using dh-autoreconf, in order to fix build
    failure on ppc64el (thanks, Daniel Schepler; closes: #702269).

 -- Colin Watson <cjwatson@debian.org>  Sat, 04 Oct 2014 06:18:51 +0100

libforms (1.2.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch from libtiff4-dev to libtiff-dev (Closes: #736022)

 -- Paul Wise <pabs@debian.org>  Mon, 30 Jun 2014 10:42:13 +0800

libforms (1.2.3-1) unstable; urgency=medium

  * New upstream release

 -- Peter S Galbraith <psg@debian.org>  Sat, 22 Feb 2014 12:59:58 -0500

libforms (1.0.93sp1-2) unstable; urgency=low

  * Bug fix: "Please Build-Depends on libjpeg-dev, not libjpeg62-dev",
    thanks to Bill Allombert (Closes: #634137).

 -- Peter S Galbraith <psg@debian.org>  Tue, 19 Jul 2011 12:48:13 -0400

libforms (1.0.93sp1-1) unstable; urgency=low

  * New upstream release with soname bump to 2.
    Should fix bug: "[kali] segfault at startup" with kali rebuild
    (See: #558025).
  * Changed source package name to unversioned "libforms"
  * Remove mention of very old libforms0.88-bin, libforms0.89-bin and
    xforms-dev.
  * Standards-Version: 3.8.4
  * Switch to dpkg-source 3.0 (quilt) format (I simply added the
    debian/source/format file).

 -- Peter S Galbraith <psg@debian.org>  Wed, 26 May 2010 19:23:06 -0400

libforms1 (1.0.92sp1-5) unstable; urgency=low

  * Uptream patches to add dir entry in texinfo file.

 -- Peter S Galbraith <psg@debian.org>  Tue, 13 Oct 2009 21:49:50 -0400

libforms1 (1.0.92sp1-4) unstable; urgency=low

  * Fix buildd error. Missing texlive-latex-base for xforms.pdf fonts.
  * Bug fix: "libforms-dev-1.0.92sp1-2 depends on libforms-1.0.92sp1-1",
    thanks to Arthur Marsh (Closes: #550450).  Replaced specific version
    with ${binary:Version} so it shouldn't happen again.

 -- Peter S Galbraith <psg@debian.org>  Sat, 10 Oct 2009 09:28:11 -0400

libforms1 (1.0.92sp1-3) unstable; urgency=low

  * Fix buildd error. Merge arch-independent and arch-dependent builf even
    if redundant (for now).

 -- Peter S Galbraith <psg@debian.org>  Fri, 09 Oct 2009 23:38:07 -0400

libforms1 (1.0.92sp1-2) unstable; urgency=low

  * Bug fix: "libforms1 - FTBFS: texi2html: Command not found", thanks to
    Bastian Blank (Closes: #550350).  Fix Build-Dependency.
  * missing-dependency-on-install-info, added depends on
    "dpkg (>= 1.15.4) | install-info"

 -- Peter S Galbraith <psg@debian.org>  Fri, 09 Oct 2009 17:40:28 -0400

libforms1 (1.0.92sp1-1) unstable; urgency=low

  * New upstream release (minor bug fixes)
  * libforms-doc: new binary package, replaces old non-free package.
  * debian/libforms-doc.doc-base registers HTML docs.

 -- Peter S Galbraith <psg@debian.org>  Thu, 08 Oct 2009 20:46:02 -0400

libforms1 (1.0.92-1) unstable; urgency=low

  * New upstream release. Thanks to Steffen Moeller (Closes: #549614).
  * Drop `Pre-Depends: x11-common (>= 1:7.0)'
  * Delete lintian overrides
  * Change Build-depends xlibmesa-gl-dev to libgl1-mesa-dev

 -- Peter S Galbraith <psg@debian.org>  Tue, 06 Oct 2009 17:50:16 -0400

libforms1 (1.0-8) unstable; urgency=low

  * Added libxext-dev to build-depends. Thanks to Lucas Nussbaum
    (Closes: #486960, #486983).
  * Standards-Version 3.8.0. Added Homepage to control file.

 -- Peter S Galbraith <psg@debian.org>  Thu, 19 Jun 2008 21:30:49 -0400

libforms1 (1.0-7) unstable; urgency=low

  * Bug fix: "libforms-dev: ships files under /usr/X11R6 deprecated
    hierarchy", thanks to Henrique de Moraes Holschuh for reporting, to
    Andreas Jochens for a patch and to Steve Langasek for the
    Pre-Depends info (Closes: #363574).
  * dev packages pre-depend on x11-common (>= 1:7.0) to make sure that
    /usr/include/X11 is a directory, not a symlink, at the time of unpack
    (thanks to Steve Langasek)
  * Changes submitted by Elimar Riesebieter <riesebie@lxtec.de>
    (Closes: #363574)
    - Completly reorganized rules.
    - We now install the devs to /usr/include/X11 (Xorg7 transition ;)
    - Introduced compat level 5

 -- Peter S Galbraith <psg@debian.org>  Sat, 22 Apr 2006 19:19:44 -0400

libforms1 (1.0-6) unstable; urgency=medium

  * debian/control: forgot a few instances of oldlib xlibs-dev to change
    for libxpm-dev.
  * debian/control: "libforms-dev: Override disparity", libforms-dev goes
    in section libdevel (Closes: #263134).

 -- Peter S Galbraith <psg@debian.org>  Tue,  3 Aug 2004 19:56:38 -0400

libforms1 (1.0-5) unstable; urgency=medium

  * Bug fix: "rebuild with libtiff4, upload with urgency=medium", thanks
    to Jay Berkenbilt (Closes: #262829).
  * Standards-Version 3.6.1 without changes
  * Remove oldlib build-depends; add libxpm-dev.

 -- Peter S Galbraith <psg@debian.org>  Mon,  2 Aug 2004 21:34:29 -0400

libforms1 (1.0-4) unstable; urgency=low

  * Create `libformsgl1' and `libformsgl-dev' packages with OpebGL
    bindings, adding xlibmesa-gl-dev ad build-depends (closes: #18462).

 -- Peter S Galbraith <psg@debian.org>  Mon,  4 Aug 2003 23:16:33 -0400

libforms1 (1.0-3) unstable; urgency=low

  * Remove hardwired dependency on xlib6g and xlibs.  That must be a
    leftover from the binary-only days.  (closes: #182643)

 -- Peter S Galbraith <psg@debian.org>  Wed, 26 Feb 2003 20:35:37 -0500

libforms1 (1.0-2) unstable; urgency=low

  * Move libforms-bin's man page from /usr/man to /usr/share/man
  (closes: #173203)
  * Make sure installed header files have 604 permissions.

 -- Peter S Galbraith <psg@debian.org>  Sun, 15 Dec 2002 15:35:29 -0500

libforms1 (1.0-1) unstable; urgency=low

  * New upstream release...  LGPL'ed !!! (closes: #144223)
  * "Party, party, party! Free at last!" (closes: #140915)
  * Rewrote the debian directory files since this is now a real source
    package (it used to copy binary files into place).

 -- Peter S Galbraith <psg@debian.org>  Sun,  8 Dec 2002 20:01:05 -0500

libforms0.89 (0.89-12) unstable; urgency=low

  * debian/control: added s390 architecture. (closes: #120722)
  * Package now has:
     glibc2.1 version for i386, powerpc, alpha, m68k, sparc, ia64 and s390.
  * Fix spelling mistake for word 'publicly' (closes: #124946, #124947)

 -- Peter S Galbraith <psg@debian.org>  Mon,  7 Jan 2002 13:38:03 -0500

libforms0.89 (0.89-11) unstable; urgency=low

  * debian/control: added ia64 architecture.
  * debian/rules: use forms.h from each arch instead of always the i386
    version, since the fixlevel version is different (e.g. 0.89.X).
  * Updated binaries for alpha.
  * debian/control: Updated to Standards-Version 3.5.6 without
    changes. The package breaks new X policy because it installs libraries
    under /usr/X11R6/lib and a header file under /usr/X11R6/include/X11.
    I'm hoping that a new 0.90 upstream package will allow me to make the
    transition out of /usr/X11R6 without problems for packages that depend
    on XForms.

 -- Peter S Galbraith <psg@debian.org>  Thu,  8 Nov 2001 15:21:27 -0500

libforms0.89 (0.89-10) unstable; urgency=low

  * debian/control: /usr/X11R6/include/X11/forms.h includes files like
    X11/Xlib.h from xlibs-dev so package libforms-dev needs to depend on
    it.

 -- Peter S Galbraith <psg@debian.org>  Tue,  4 Sep 2001 13:47:29 -0400

libforms0.89 (0.89-9) unstable; urgency=low

  * New maintainer
  * Changed depends from xpm4g to libxpm4 (closes: #70561)
  * Updated to Standards-Version 3.1.1 (Build-Depends)

 -- Peter S Galbraith <psg@debian.org>  Thu, 14 Sep 2000 12:37:47 -0400

libforms0.89 (0.89-8) unstable; urgency=low

  * NMU approved by Michael Meskes <meskes@debian.org>
  * Added glibc2.1 binaries for sparc.
  * Package now has:
     glibc2.1 version of 0.89 for i386, powerpc, alpha, m68k and sparc.

 -- Peter S Galbraith <psg@debian.org>  Tue, 15 Aug 2000 09:09:55 -0400

libforms0.89 (0.89-7) unstable; urgency=low

  * NMU approved by Michael Meskes <meskes@debian.org>
  * Package libforms-dev now depends on libc6-dev instead of libc6 (>= 2.1)
  * Updated i386 binaries and demo sources to current upstream version.
  * Package now has:
     glibc2.1 version of 0.89 for i386, powerpc and alpha and m68k.

 -- Peter S Galbraith <psg@debian.org>  Mon,  7 Aug 2000 14:11:51 -0400

libforms0.89 (0.89-6) frozen unstable; urgency=low

  * NMU approved by Michael Meskes <meskes@debian.org>
  * add glibc2.1 binaries for m68k architecture (since this is a binary-only
    package without source code, m68k did not have a libforms0.89 package).
  * Package now has:
    glibc2.1 version of 0.89 for i386, powerpc and alpha;
    glibc2.1 version of 0.89.1 for m68k.

 -- Peter S Galbraith <psg@debian.org>  Thu, 18 May 2000 11:51:31 -0400

libforms0.89 (0.89-5) frozen unstable; urgency=low

  * NMU approved by Michael Meskes <meskes@debian.org>
  * add glibc2.1 binaries for alpha architecture (since this is a binary-only
    package without source code, alpha did not have a libforms0.89 package).
  * update copyright file to point to new web site.
  * minor license change.
  * Package now has: glibc2.1 version for i386, powerpc and alpha;

 -- Peter S Galbraith <psg@debian.org>  Thu, 13 Apr 2000 13:40:32 -0400

libforms0.89 (0.89-4) unstable; urgency=low

  * NMU approved by Michael Meskes <meskes@debian.org>
  * Had omitted symlink libforms.so -> libforms.so.0.89 in -dev package

 -- Peter S Galbraith <psg@debian.org>  Sun,  7 Nov 1999 18:57:04 -0500

libforms0.89 (0.89-3) unstable; urgency=low

  * NMU approved by Michael Meskes <meskes@debian.org>
  * Removed compatibility symlink libforms.so.0.88->libforms.so.0.89
    because we also need a glibc2.1 version of libforms.so.0.88 since they
    are not fully compatible.  For example, Lyx is broken under V0.89.
  * Removed the `replaces, conflicts, provides: libforms0.88'
    since a glibc2.1 version of libforms0.88 is brought back to life.

 -- Peter S Galbraith <psg@debian.org>  Sat, 30 Oct 1999 13:02:41 -0400

libforms0.89 (0.89-2) unstable; urgency=low

  * NMU approved by Michael Meskes <meskes@debian.org>
  * Added powerpc binaries
  * Hacked rules file to handle all architectures; scheme uses a native
    tar file format, which we will update whenever we add an architecture.
    close #27327: libforms0.88: there are more architectures available
  * Removed the versioned depends libforms-dev had on libforms0.89 (= 0.89-1)

 -- Peter S Galbraith <psg@debian.org>  Wed, 13 Oct 1999 22:20:49 -0400

libforms0.89 (0.89-1) unstable; urgency=low

  * New upstream version (closes:Bug#43435)
  * Added original source location to copyright file (closes:Bug#44431)
  * Added compatibility symlink libforms.so.0.88->libforms.so.0.89.
  * Switced to latest debhelper tools.

 -- Michael Meskes <meskes@debian.org>  Mon, 27 Sep 1999 15:24:09 +0200

libforms0.88 (0.88.1-2) frozen unstable; urgency=low

  * Resolved file overlap between bo's xforms-dev and hamm's libforms-bin
    with a Replaces:.

 -- Ben Gertzfield <che@debian.org>  Wed, 13 May 1998 13:27:39 -0700

libforms0.88 (0.88.1-1) unstable; urgency=low

  * New upstream version.

 -- Ben Gertzfield <che@debian.org>  Fri,  6 Mar 1998 18:32:11 -0800

libforms0.88 (0.88-4) unstable; urgency=low

  * Whoops, header should be in /usr/X11R6/include/X11, not
    /usr/X11R6/include/. Fixes bug #16691.
  * Commented out dh_du call in debian/rules, le sigh.

 -- Ben Gertzfield <che@debian.org>  Tue, 17 Feb 1998 14:59:07 -0800

libforms0.88 (0.88-3) unstable; urgency=low

  * Added in 'fdesign' program to -dev. Fixes bug #17811.
  * Moved binaries and libraries and headers into /usr/X11R6/.
    Fixes bug #16691.
  * -dev package now Conflicts: with and Replaces: xforms-dev.
    Fixes bug #16691.

 -- Ben Gertzfield <che@debian.org>  Wed,  4 Feb 1998 17:36:02 -0800

libforms0.88 (0.88-2) unstable; urgency=low

  * Fixed shlibs file to make soname 0.88, not 0.

 -- Ben Gertzfield <che@debian.org>  Fri,  2 Jan 1998 22:12:50 -0800

libforms0.88 (0.88-1) unstable; urgency=low

  * Initial release.
  * No source available; binary only.

 -- Ben Gertzfield <che@debian.org>  Fri,  2 Jan 1998 16:11:09 -0800
